> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Telemetry Key

> Deletes a telemetry key configured for the title.



## OpenAPI

````yaml /services/playfab/api-references/rest/events/events.openapi.json post /Event/DeleteTelemetryKey
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Events API
  description: >-
    Write custom PlayStream and Telemetry events for any PlayFab entity.
    Telemetry events can be used for analytic, reporting, or debugging.
    PlayStream events can do all of that and also trigger custom actions in near
    real-time.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: PlayStream
    description: PlayStream Management APIs
  - name: PlayStream Events
    description: PlayStream Events APIs
paths:
  /Event/DeleteTelemetryKey:
    post:
      tags:
        - PlayStream Events
      summary: Delete Telemetry Key
      description: Deletes a telemetry key configured for the title.
      operationId: DeleteTelemetryKey
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteTelemetryKeyRequest'
      responses:
        '200':
          $ref: '#/components/responses/DeleteTelemetryKeyResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    DeleteTelemetryKeyRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            The optional entity to perform this action on. Defaults to the
            currently logged in entity.
        KeyName:
          description: The name of the key to delete.
          type: string
      required:
        - KeyName
      example:
        KeyName: MyTelemetryKey
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    DeleteTelemetryKeyResponse:
      type: object
      properties:
        WasKeyDeleted:
          description: >-
            Indicates whether or not the key was deleted. If false, no key with
            that name existed.
          type: boolean
      required:
        - WasKeyDeleted
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    DeleteTelemetryKeyResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/DeleteTelemetryKeyResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Delete Telemetry Keys](/services/playfab/data-analytics/ingest-data/ht-telemetry-keys-delete.md)
- [Delete Telemetry Key](/services/playfab/api-references/rest/events/play-stream-events/delete-telemetry-key.md)
- [Telemetry Keys](/services/playfab/data-analytics/ingest-data/telemetry-keys-overview.md)
- [Create Telemetry Key](/api-reference/playstream-events/create-telemetry-key.md)
- [Get Telemetry Key](/api-reference/playstream-events/get-telemetry-key.md)
